{% for template_policy in policies %}
  {% if template_policy %}
    <div class="modal fade" id="policy-info-{{ template_policy.id }}" tabindex="-1" aria-labelledby="policy-info-{{ template_policy.id }}-label" aria-hidden="true">
      <div class="modal-dialog modal-dialog-centered modal-xl modal-fullscreen-md-down modal-dialog-scrollable mb-3">
        <div class="modal-content">
          <div class="modal-header">
            <h2 class="modal-title" id="policy-info-{{ template_policy.id }}-label">{{ 'Information about the policy'|t }}</h2>
            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <div class="container-fluid">
              <div class="row">
                <div class="col-12 col-md-7 pl-0">
                  <div class="mb-2">
                    <h3 class="modal-policy-title mt-0 mb-1"><i class="fa-solid fa-scale-unbalanced mr-1" aria-hidden="TRUE"></i>{{ template_policy.policy_info.policy_label|translate_policy_value }}</h3>
                    <div class="mb-1 description">{{ template_policy.policy_info.policy_description|translate_policy_value|markdown_to_html }}</div>
                  </div>
                </div>
                <div class="col-12 col-md-5 policy-info-sidebar pr-0">
                  <div>
                    <span class="info-title">{{ 'Status'|t }}: </span>

                    {% set status_label = template_policy.policy_status %}
                    <span class="chip {{ status_label|upper == 'APPROVED' ? 'success' : '' }}">{{ status_label|upper|t }}</span>
                  </div>
                  <div>
                    <span class="info-title">{{ 'Version'|t }}: </span>
                    <span>{{ template_policy.valid_until|date('d/m/Y') }}</span>
                  </div>
                  <div>
                    <span class="info-title">{{ 'Publisher'|t }}: </span>
                    {% if template_policy.publisher.publisher_logo %}
                      <img class="image-badge" src="{{ template_policy.publisher.publisher_logo }}" alt="{{ template_policy.publisher.publisher_label|translate_policy_value }}">
                    {% else %}
                      <span class="authority badge badge-info p-2 mr-2">
                        {{ template_policy.publisher.publisher_label|translate_policy_value }}
                      </span>
                    {% endif %}
                  </div>
                  <div class="wide-info-container">
                    <span class="info-title">{{ 'Facts'|t }}: </span>
                    <div>
                      {% for validation in template_policy.policy.required_facts  %}
                        <div class="d-flex align-items-center justify-content-between w-100 mt-2">
                          <div class="d-flex align-items-center">
                            <span class="authority badge badge-info p-2 mr-2">
                              {{ template_policy.policy.policy_language }}
                            </span>
                            <span>{{ validation.metadata.label|translate_policy_value }}</span>
                          </div>
                          {#                          <a href="#">#}
                          {#                            <i class="fa-solid fa-circle-info ml-1 text-info" title="{{ 'Click here for more info'|t }}"></i>#}
                          {#                          </a>#}
                        </div>
                      {% endfor %}
                    </div>
                  </div>
                  {% if template_policy.references %}
                    <div class="wide-info-container">
                      <span class="info-title">{{ 'Reference'|t }}: </span>
                      <div>
                        {% for reference in template_policy.references  %}
                          <a href="{{ reference.reference_uri }}" class="mt-2">{{ reference.reference_label|translate_policy_value }}</a>
                        {% endfor %}
                      </div>
                    </div>
                  {% endif %}
                </div>
              </div>
            </div>
          </div>
          <div class="modal-footer flex-column">
            <a href="{{ data_catalog_domain }}/policy-info" class="mb-1 w-100 m-0">{{ 'Get more information about the policy and the coherence on the AMdEX website.'|t }}</a>
          </div>
        </div>
      </div>
    </div>
  {% endif %}
{% endfor %}
